kytos(1)

NAME
kytos - command line utilities to use with Kytos

DESCRIPTION
Command line interface (cli) for Kytos SDN Platform.

With these utilities you can interact with Kytos daemon and manage Network Applications (NApps) on your controller.

USAGE
In order to execute kytos command line, please run:

$ kytos --help

    Usage:
      kytos [-c <file>|--config <file>] <command> [<args>...]
      kytos [-v|--version]
      kytos [-h|--help]

    Options:
      -c <file>, --config <file>    Load config file [default: ~/.kytosrc]
      -h, --help                    Show this screen.
      -v, --version                 Show version.

    The most commonly used kytos commands are:
      napps      Create, list, enable, install (and other actions) NApps.
      server     Start, Stop your Kytos Controller (Kytos)

    See 'kytos <command> -h|--help' for more information on a specific command.

$ kytos napps -h

    You are at the "napps" command.

    Usage:
      kytos napps create
      kytos napps upload
      kytos napps delete    <napp>...
      kytos napps list
      kytos napps install   <napp>...
      kytos napps uninstall <napp>...
      kytos napps enable    <napp>...
      kytos napps disable   <napp>...
      kytos napps search    <pattern>
      kytos napps -h | --help

    Options:
      -h, --help    Show this screen.

    Common napps subcommands:
      create        Create a bootstrap NApp structure for development.
      upload        Upload current NApp to Kytos repository.
      delete        Delete NApps from NApps Server.
      list          List all NApps installed into your system.
      install       Install a local or remote NApp into a controller.
      uninstall     Remove a NApp from your controller.
      enable        Enable a installed NApp.
      disable       Disable a NApp.
      search        Search for NApps in NApps Server.

SUPPORT
We are available in IRC and there is also a development mailing list. Details are available in the full documentation.

CONTRIBUTING
If you want to contribute to this project, please read Kytos Documentation website:

https://docs.kytos.io/kytos/contributing

AUTHOR
The kytos was written by Kytos Development Team <of-ng-dev@ncc.unesp.br>.

For a complete list of authors, please open AUTHORS.rst file.

This manual page was written by Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org> for the Debian project (but may be used by others).